Ubuntu Install Zlib Dev

For this tutorial, I'll be installing zlib version 1. Wintin doesn't have shell capabilities, but otherwise it's an excellent TinTin++ port that works on Windows 95, 98, XP, Vista, 7, 8 and 10. Zlib - Install Python package locally - Ask Ubuntu. Linux - NOTE: In all cases you MU= ST install a 32-bit OS (Either CentOS, Fedora, or Ubuntu) The Linux build environment documented on this page is based on a basic = Fedora Core 15 installation CD. System Requirements. Anjuta is a fully functional IDE with a graphical interface. 当报zlib不可用时,就是没有安装zlib1g和zlib1g-dev…. Use the following command to install subversion packages and their dependencies. 5 but the process of. Any help would be fantastic. Posted by ubuntu command to install zlib library;. It may be handy to run two parallel SSH sessions during the upgrade, executing the upgrade steps in one and monitoring the server/proxy logs in another. 1k in that directory too, which might be for jessie). Thank you everyone!. Qt4 & Ubuntu 12 are quite old now. sudo apt-get install xlibs-dev If you plan to do any hard-core development, you might want an integrated development environment (IDE). This indicates that you need to install the zlib libraries on your system, which turns out to not be too difficult through the use of package installers. For example, on Ubuntu, you'd want to run: sudo apt-get install zlib1g-dev sudo apt-get install zlib. Normally, you don't have to compile zlib yourself as the official precompiled zlib1. How do I install pcre-devel under Debian / Ubuntu Linux? Perl-compatible regular expression library. It’s Super Easy! simply click on Copy button to copy the command and paste into your command line terminal using built-in APT package manager. Install MySQL Database. A newly deployed Vultr CentOS 6 or CentOS 7 server instance. I installed: zlib1g, zlib1g-dbg,. in advance. - Ready used Ubuntu Linux - Cinnamon Desktop - Windows 7/8 Theme - Windows Icon Get Installed Cinnamon Desktop First, you need to install Cinnamon Desktop in your Linux Box with following command line: Terminal Commands: $ sudo add-apt-repository ppa:lestcape/cinnamon $ sudo apt-get update $ sudo apt-get install cinnamon Install Windows Theme. I don't know exactly why your installation shows this issue if others did not in the past. 在ubuntu里,zlib叫zlib1g,相应的zlib-devel叫zlib1g. Debian, Ubuntu and many others use Debian-Installer. I have just started (as in 30 minutes ago) to use Ubuntu 12. sudo apt install -y perl libperl-dev libgd3 libgd-dev libgeoip1 libgeoip-dev geoip-bin libxml2 libxml2-dev libxslt1. Accept the installation. rpm Debian, Ubuntu apt-get install build-essential e2fslibs-dev libncurses5-dev libncursesw5-dev libntfs-dev libjpeg62-dev libreiserfs0. Found 35 matching packages. Linux is installed to the Windows hard disk partition, and can be started from inside Windows itself. 43 On Ubuntu 18. Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers. In particular, libz. - Ready used Ubuntu Linux - Cinnamon Desktop - Windows 7/8 Theme - Windows Icon Get Installed Cinnamon Desktop First, you need to install Cinnamon Desktop in your Linux Box with following command line: Terminal Commands: $ sudo add-apt-repository ppa:lestcape/cinnamon $ sudo apt-get update $ sudo apt-get install cinnamon Install Windows Theme. install dktools 3 preview on Ubuntu 12. The command: sudo apt-get install zlib1g-dev ressults in the following error: Reading package lists. Install the Zlib-dev package for your distribution. 闭雨哲 阅读数 1596 分类专栏: 编程-工具 linux Trouble Shooting python. 12) and there are no newer version in trusty-backports either. 1 on Ubuntu 16. apt-get install binutils cpp fetchmail flex gcc libarchive-zip-perl libc6-dev libcompress-zlib-perl libdb4. [netcdfgroup] installing netcdf on ubuntu! From: mem341; Re: [netcdfgroup] installing netcdf on ubuntu! From: Roy Mendelssohn - NOAA Federal; Re: [netcdfgroup] installing netcdf on ubuntu! From: mem341. Before Suricata can be used it has to be installed. 9 is the latest stable version at the time of writing of tutorial. This guide should work on other Linux VPS systems as well but was tested and written for an Ubuntu 16. MX6 LTIB on UBUNTU 12. Install SDK Platforms. Install IRCU - version : ircu2. 0 on Ubuntu 17. dev $ sudo apt-get install zlib1g $ sudo apt-get install zlib1g. It should look something like this: # deb cdrom:[Ubuntu 6. So I wanted PEG support, zlib support, etc. Alternatives. sudo apt-get install libbz2-dev 致命错误: zlib. hi sir, i have problem when installing ns2 in ubuntu 12. 在ubuntu里,zlib叫zlib1g,相应的zlib-devel叫zlib1g. 3 EVEN AFTER INSTALLING THE PACKAGES MENTIONED ABOVE IT DOESN'T WORK FOR SOME. ruby on rails missing Ubuntu rails install fails on zlib where is zlib installed (11) I've just moved over to Ubuntu 8. The full list can be long and unwieldy, so it’s much easier to filter through grep to get results for the exact package you need. and then I install the Zlib through RPM command. /ltib -c It will take long time to install host support packages at first time. Installing zlib1g-dev package on Ubuntu 16. 04 (Trusty Tahr) is as easy as running the following command on terminal: sudo apt-get update sudo apt-get install zlib-bin zlib-bin package information. 7 or greater:. # apt sudo apt-get install -y autoconf build-essential libglib2. For Ubuntu users:: sudo apt-get install zlib1g-dev. CMake is used to control the software compilation process using simple platform and compiler independent configuration files, and generate native makefiles and workspaces that can be used in the compiler environment of your choice. Please follow the instructions on " Getting Started " first, as they are a pre-requirement. zlib package not found If this is your first visit, be sure to check out the FAQ by clicking the link above. 6 step1) install required open source libraries Hardware accelerated OpenGL (freeglut, freeglut-dev) 1) make sure c complier suc. 6 on Ubuntu 16. 04 LTS Operating System. Type your sudo password and hit Enter. Some distributions let the user install Linux on top of their current system, such as WinLinux or coLinux. 3-dev libpcre3 libpopt-dev lynx m4 make ncftp nmap openssl perl perl-modules unzip zip zlib1g-dev autoconf automake1. Unfortunately no such package exists, which is the problem. However, that has been deprecated in favour of MultiArch and now we have the following steps to get things like adb and crclient working again:. Qt versions 5. 1e is susceptible to the Heartbleed bug , if this is significant to what you are building you may want to upgrade somehow (there's a 1. I’m going to outline the steps I’ve taken to do this. Alternatively, you may SSH into the box for the install portion. 在ubuntu里,zlib叫zlib1g,相应的zlib-devel叫zlib1g. On Debian/Ubuntu this is called libssl-dev, on CentOS/Fedora/Red Hat it's openssl-devel, and on openSUSE it's libopenssl-devel. Any mistake at this stage would be very costly exercise later on. It handles downloading, unpacking, compiling, and installing Node and NPM on your system. doxygen = apt-get install doxygen doxygen-doc doxygen-docs doxygen-gui. This tutorial will show you how to install ruby on rails on Ubuntu 16. 04 server and a regular, non-root user with sudo privileges. For good measure list directories and files that compose NGINX source code with tree. dfsg-2ubuntu4_i386. Source code can also be downloaded from the download page. apt-get install libpango1. Ubuntu install zlib and zip keyword after analyzing the system lists the list of keywords related and the list of websites with related content, in addition you can see which keywords most interested customers on the this website. Compiling & Installing PHP for Ubuntu 14. 6 on Ubuntu 16. The command we need to use is dpkg –get-selections, which will give us a list of all the currently installed packages. There is a dedicated page on how to Compile the GRASS GIS source code & install it in Ubuntu. 14 on Ubuntu 18. 27 or How to install 32 bit glibc 2. 10 Quantal Quetzal, Ubuntu 12. 04 / CentOS 7 / Fedora 26 using rbenv. How to install growtopia on ubuntu, linux If this is your first visit, be sure to check out the FAQ by clicking the link above. Cygwin version. zlib is a library implementing the deflate compression method found in gzip and PKZIP. 3 on an Ubuntu 18. How to install RocksDB on Ubuntu 12. 04LTS) (libs): compression library - runtime. Hope this fixes your problem! EDIT Created a Ubuntu VM and verified that sudo apt-get install zlib1g-dev is the correct command. h and tiffio. The following worked for me on Unbuntu 11. Above command will confirm before installing the package on your Ubuntu 16. The full list can be long and unwieldy, so it’s much easier to filter through grep to get results for the exact package you need. This is just one of many things I need to get on here but I think I need to first start off with this. 10 run the following: Keep in mind that the owner of the key may distribute updates, packages and repositories that your system will trust ( more information ). 14 sudo apt-get install byacc sudo apt-get install flex sudo apt-get install screen adduser gnuworld After that press ENTER and pick a password. 04LTS) : Updated. Optionally, use qt5-base. Add repository and install manually For xUbuntu 16. Check the installed git version. You can select between a Release and Debug build by -DCMAKE_BUILD_TYPE=. Installing Apache, with development tools, mod_ssl and mod_php: yum install httpd httpd-devel mod_ssl mod_php You could be running into problems here when packages cannot be found. Note that on some Unix systems you may need to install an additional zlib development package using your system package manager; for example, on Debian or Ubuntu, it is located in the "zlib1g-dev" package; on Fedora, it is located in the "zlib-devel" package. 3 from Ubuntu sudo apt-get remove r-base r-base-dev. Installing GraphLab on Ubuntu - 32 bit; Community detection using GraphLab January (12) 2011 (95) December (12) November (12) October (7) September (11) August (8) July (5) June (10) May (5) April (6). For Debian-based systems, including Ubuntu, you should install the packages libgmp-dev, libmpfr-dev and libmpc-dev. Installing ImageMagick in Ubuntu 11. » Ubuntu » Packages » xenial » zlib1g-dev » amd64 » Download Download Page for zlib1g-dev_1. gz release file from. There is a dedicated page on how to Compile the GRASS GIS source code & install it in Ubuntu. I am also installing some dependencies so I install libtiff with optional packages. With the Ubuntu platform, the only library from the list above that you'll need to install is the pcre library. Patches are always welcome. > mingw-get install msys-zlib-dev This is *not* the zlib development package you want; it is intended solely for use by those developing MSYS itself, and not for normal development tasks with MinGW. To install, open a Terminal window by clicking on Applications \ Accessories \ Terminal from the panel. and then I install the Zlib through RPM command. # Installing 'devtoolset-3' might be a better choice since `perf` might # conflict with the version of `elfutils` included in devtoolset-2. apt-get install -y \ ubiquity \ ubiquity-casper \ ubiquity-frontend-gtk \ ubiquity-slideshow-ubuntu \ ubiquity-ubuntu-artwork The next configuration dialogs will be displayed as a result of the packages that will be installed from the previous step, this will happen without anything having to be informed or executed. Set up a new virtual machine running Ubuntu 18. apt install libpcre3-dev libssl-dev unzip build-essential daemon libxml2-dev libxslt1-dev libgd-dev libgeoip-dev This guide assumes that this is a totally new Nginx deployment. For information on contributing see the Ubuntu Documentation Team wiki page. Install necessary libraries to support selected options. To run Revive properly, we'll need to install some PHP modules like apc, zlib, xml, pcre and mbstring. Use the following command to install subversion packages and their dependencies. I deleted openssl to install another version that the application im mainly going to develop needs, then my CMAKE started saying that ZLIB_DIR-NOTFOUND but the include path and the library where still there, is there any package or similiar i can install to restore it?. Is that the known issue? for TK1. Recent Posts. Prepare the System for Deployment. Introduction¶. Then just for good measure, let's make sure your Ubuntu is up to date. The command we need to use is dpkg –get-selections, which will give us a list of all the currently installed packages. 0 After you install the epel-release-7*. X-cross-ppc64 Use these steps to download the public key, create a repository configuration file, and install the Advance Toolchain packages. dev 直接输入上述命令后还是不能安装。. It is preferred to stick to x8664 and not install i386 packages on a x8664 system unless necessary. These instructions are for an Ubuntu 12. Today in this tutorial will get to know how to install and configure Git on Ubuntu 19. apt-get install cvs subversion autoconf libccid automake libtool gettext make cmake tar bzip2 gzip patch ncurses-bin gcc g++ flex bison pkg-config pcsc-tools pkg-config wget libpng3 libpcsclite1 libpcsclite-dev libusb-dev libssl-dev libpng12-0 libpng12-dev libpng3 libpnglite-dev pngquant zlib-bin zlib1g-dbg zlib1g-dev zlib1g zlibc dialog build. zlib is a library implementing the deflate compression method found in gzip and PKZIP. A static IP address 192. 4 with your version number: Install zlib development package: Without sudo, apt-get install zlib1g-dev. 2 and newer are supported. I have managed to install it successfully on Ubuntu 13. I am able to build the petalinux by enabling ( zlib, zlib-dbg and zlib-dev) packages. So hopefully it can work for you too. Anjuta is a fully functional IDE with a graphical interface. sudo pip uninstall PIL ; Then you should install default Ubuntu packages : [plain] view plain copy. Libxcb is now the default window-system backend for platforms based on X11/Xorg, and you should therefore install libxcb and its accompanying packages. Original Maintainer (usually from Debian): Mark Brown It should generally not be necessary for users to contact the original maintainer. Skip this step if you already have Apache web server on your system. The problem is that the typical package managers for Ubuntu won’t include PHP 5. If you get a message stating missing zlib. dev。要在packages. org is enough. Installing GraphLab on Ubuntu - 32 bit; Community detection using GraphLab January (12) 2011 (95) December (12) November (12) October (7) September (11) August (8) July (5) June (10) May (5) April (6). To install TestDisk rpm, run rpm -Uvh testdisk-*. 6-dev python-tk Prerequisites are installed on Fedora 23 with: $ sudo dnf install libtiff-devel libjpeg-devel zlib-devel freetype-devel \ lcms2-devel libwebp-devel tcl-devel tk-devel. compression library - development. hi sir, i have problem when installing ns2 in ubuntu 12. How To Install Python 3 and Set Up a Local Programming Environment on Ubuntu 18. org, a friendly and active Linux Community. Before you can begin to install and configure AIDE on Ubuntu 18. After little bit googling, i found out there is a similar package named "libssl-dev". Linux - NOTE: In all cases you MU= ST install a 32-bit OS (Either CentOS, Fedora, or Ubuntu) The Linux build environment documented on this page is based on a basic = Fedora Core 15 installation CD. These instructions are for an Ubuntu 12. Install zlib: [email protected]>. 04 and without even trying to add FPM support. How To Install Ruby 2. Thank you so much! EDIT: Thanks to /u/curie_eleison, I got the correct png. 07 is current as of today. dev $ sudo apt-get install zlib1g $ sudo apt-get install zlib1g. This is a problem, since I really want to try PHP’s latest and greatest features for. AIDE supports many distributions such as Debian, Ubuntu, Gentoo, FreeBSD, Red Hat, OpenSUSE, CentOS and Fedora. These include Debian, Ubuntu and Oracle Linux. OpenCV3 is not packaged in Debian/Ubuntu yet ; packaging opencv_contrib is difficult as it needs to be compiled with OpenCV sources. This guide should work on other Linux VPS systems as well but was tested and written for an Ubuntu 16. Software decoding HD video strains the CPU and many cases causes stutters and skips during video playback. sudo apt-get install libcurl3-openssl-dev If you dont have any of these packages you can write this to install them all: sudo apt-get install libsdl-mixer1. Now I can take a look at the gd. libraqm depends on the following libraries: FreeType, HarfBuzz, FriBiDi, make sure that you install them before install libraqm if not available as package in your system. To install newer version, you need to. 04LTS) (libs): compression library - runtime. The easiest and the recommended way to install Git is to install it using the apt package management tool from Ubuntu's default repositories. doxygen = apt-get install doxygen doxygen-doc doxygen-docs doxygen-gui. What are you trying to do, exactly? - steeldriver Aug 12 '15 at 19:41. Posted by ubuntu command to install zlib library;. dev $ sudo apt-get install zlib1g $ sudo apt-get install zlib1g. 12 required to compile QEMU which, again after some searching, led to the. 3 on an Ubuntu 18. LinuxConfig is looking for a technical writer(s) geared towards GNU/Linux and FLOSS technologies. org page suggests current stable release is 4. 04 VPS with MariaDB, Varnish as a full page cache, Apache and Memcache for session storage. You are currently viewing LQ as a guest. Install zlib1g-dev. These include Debian, Ubuntu and Oracle Linux. Changelog parent: 9f3e8bc99b49bc1 2a82b086215b2b4 390f83dddc. Install libssl-dev. x, but support for that was only added in Python 2. It seems some plugin is trying to use class-pclzip. Try to install dpkg-dev before configuring and compiling Python. ZipImportError: difficulty decompressing data; zlib not accessible" for the omitted zlib-dev, and as well setting up the environment and getting it ready for Python designing. This tutorial shows the steps to install an Ubuntu 18. Xcode is found on the MacOS X installation DVD or in the Mac App store. [02:22] and youtube videos still look like crap [02:22] If there is no live cd boot pxe server to install ubuntu iso images I was thinking about creating one, I just don't want to do something that's already done and working [02:23] adekto: usually that means something changed in the intervening 20 minutes [02:23] ActionParsnip, yes there are 2. Operating System: - Ubuntu 18. 5 Create Desktop Entry. I've cloned it from git, installed all the dependencies (except zlib, which apt install doesn't find and I understand is included in zlib1g-dev). Boost, zlib, and cmake Log-linear Interpolation (rare) Eigen3 and OpenMP support in g++ Optional bzip2 and xz To install dependencies, choose one of the options below. Preparing Ubuntu. 04 0-dev libfontconfig1-dev zlib1g-dev libtiff4-dev After installing the above dependencies i just started to compile. ##### installation ##### # # If you haven't already, gunzip and untar the distribution and change into its root directory # cd ~ gunzip -c wvnetflow-1. To install TestDisk rpm, run rpm -Uvh testdisk-*. sudo apt-get remove --auto-remove zlib1g-dev Purging zlib1g-dev. it can install in linux,ubuntu & debian Python 3. Just download and start the installer. (If it does have a package, install it following the instructions on InstallingSoftware. This is a problem, since I really want to try PHP’s latest and greatest features for. If installing from a tarballs (as opposed form github), BCFtools release contains a copy of HTSlib which will be used to build BCFtools. list and comment the cdrom source. 在ubuntu软件源里zlib和zlib-devel叫做zlib1g zlib1g. can anyone share to us the video tutorial or pdf file regarding the mediacore installation in ubuntu 10. and this is the output of above command. You only need the Broadcom Crystal HD Card if you do not have a dedicated video card or a on-board video card capable of HD decoding. 7 the latest version of Python on Ubuntu 18. 2 and newer are supported. Do a search on your distro package lists to find it. Clean up all. Tokyo Cabinet only works on Linux so I installed it in on an Ubuntu virtual machine. I am installing this on Ubuntu Server 14. Download zlib1g_1. 2 fails to compile properly on Ubuntu 11. 0 libarchive-zip-perl libc6-dev libcompress-zlib-perl libdb4. Download zlib1g-dev packages for Debian, Ubuntu. 6 step1) install required open source libraries Hardware accelerated OpenGL (freeglut, freeglut-dev) 1) make sure c complier suc. 10 is configured on your server. sudo apt-get install zlib1g-dev. 9 is the latest stable version at the time of writing of tutorial. See below for quick step by step instructions of SSH commands, Copy/Paste to avoid miss-spelling or accidently installing a different package. $ sudo apt-get install libtiff5-dev libjpeg8-dev zlib1g-dev \ libfreetype6-dev liblcms2-dev libwebp-dev tcl8. so extension to php. Table of Contents: 1. SWIG = apt-get install swig swig-doc swig-examples * Typically only the -dev or lib packages are required, but why not get the docs and tools as well. Let’s get started installing RVM. Debian / Ubuntu: sudo apt-get install g++ gcc libc6-dev libffi-dev libgmp-dev make xz-utils zlib1g-dev git gnupg netbase; Fedora / CentOS: sudo dnf install perl make automake gcc gmp-devel libffi zlib xz tar git gnupg (use yum instead of dnf on CentOS and Fedora <= 21). 6-dev python-tk. I installed using the process BUT this release is quite old. Compiling on GNU/Linux. 2 zypper install asciidoc bash bc binutils bzip2 fastjar flex git-core gcc-c++ gcc util-linux gawk intltool zlib-devel mercurial make genisoimage ncurses-devel libopenssl-devel patch perl-ExtUtils-MakeMaker python-devel rsync sdcc unzip wget. 04 VPS with MariaDB, Varnish as a full page cache, Apache and Memcache for session storage. xenial (16. 5 a exemple the IP Address and MAC Address don't not is collected. Install Command Line Tools for Xcode. zlib is a general-purpose lossless data-compression library, implementing an API for the DEFLATE algorithm, the latter of which is being used by, for example, gzip and the ZIP archive format. The “Skip” button should be present if the operation is skippable. You should end up with a 'zlib. 04 Submitted by greggles on Mon, 2012-10-08 11:02 If you need to install dktools 3-preview on Ubuntu, here are some steps I followed:. It surpasses several other SCM tools like Subversion, CVS, Perforce. Open a browser window and navigate to the following address:. dev $ sudo apt-get install zlib1g $ sudo apt-get install zlib1g. firmware update for Broadcom BCM5720 NetXtreme Gigabit Ethernet Adapter), running the. 在ubuntu软件源里zlib和zlib-devel叫做zlib1g zlib1g. These commands, or similar, should install what you need: sudo yum groupinstall "Development Tools" sudo yum install libpng-devel gd-devel zlib-devel perl-ExtUtils-MakeMaker Mac OS X. The zlib libs and headers were then installed, using the command sudo apt-get install zlib1g-dev Trying the configure command again resulted in qemu-2. All features (including Blu-ray decryption and processing) are free during BETA. LAMP Stack Installed in Ubuntu 16. , Debian, Ubuntu or Linux Mint), the package "ffmpeg" has existed as a "transitional" package for libav fork due to some political reason. After little bit googling, i found out there is a similar package named "libssl-dev". 04 is a LTS release meaning it is a good option for any server including an OpenVAS vulnerability scanning server. 71+, but the highest version of Leptonica that you could install in Ubuntu 14. Newly deployed Ubuntu 16. If it was from source, you need to recompile with zlib available - remember to have the developer package. Table of Contents: 1. Quick Install Instructions of libpnglite-dev on Ubuntu Server. In this tutorial, we will go through step by step instruction of how to install and use AIDE on Ubuntu. exe (32-bit installation) Use the setup program to perform a fresh install or to update an existing installation. Cygwin version. Searching the SWFTools forum, I find that I should use sudo apt-get install zliblg-dev. Re: installing petalinux 2018. Start by making a temporary download folder to your home directory and then changing into it with the command below. /install Enter installed directory $. dev。默认的安装源里没有zlib1g. I’d never thought to put the symlinks in, I’ve just been using full names, eg gem1. You have searched for packages that names contain zlib1g in all suites, all sections, and all architectures. sudo apt-get install linux-headers-$(uname -r) And this command to install the generic package, and keep your sources up to date. dev 直接输入上述命令后还是不能安装。. They are available 24×7 and will take care of your request immediately. sudo apt-get install zlib1g-dev Ubuntu использует вещь, называемую apt , которая является менеджером пакетов. I’ll be using Ubuntu 18. 04 Developer Tools installation. You may have to register before you can post: click the register link above to proceed. 10/Ubuntu 16. 2 because 1. Also note that openSSL 1. 04 Linux server. zlib is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system. Installing zlib-bin package on Ubuntu 14. How to install "readline" and "readline-devel" on Ubuntu ? The "Readline" library provides a set of functions for use by application that allow users to edit command lines as they are typed in. Running Ubuntu 6. Installing WinTin++: A windows installer is available for download to install WinTin++, which exists of the PuTTY terminal and a TinTin++ binary. 04 July 9, 2018 Python is a flexible and versatile programming language that can be leveraged for many use cases, with strengths in scripting, automation, data analysis, machine learning, and back-end development. The kallisto GitHub repository is here. dev $ sudo apt-get install zlib1g $ sudo apt-get install zlib1g. Ok, do you mean to say I have to download and install the linaro arm toolchain on every ubuntu machine I use for development, I dont have the flexibility to download it only once and then use the copy of the downloaded toolchain on other ubuntu machine. This post will guide you how to install Boost libraries on Ubunt 16. 04 libssl-dev will actually install zlib1g-dev for you, which seems to take care of the zlib issue. To begin working with Tesseract 3. After searching for solutions and banging my head on walls for a while,. 9 libtool bison autotools-dev g++ build-essential. h together: sudo apt-get install zlib1g-dev libpng1. When I run. Installing Apache, with development tools, mod_ssl and mod_php: yum install httpd httpd-devel mod_ssl mod_php You could be running into problems here when packages cannot be found.